Stock
Stock provides access to the stock resource. This is where all product variant level details are held.
What you can do with Stock:
URL/api/stock Returns all stock items in the system with all published fields. URL/api/stock?stock_type=retail Returns all stock items, allocated to retail web, with retail prices. URL/api/stock?stock_type=trade Returns all stock items, allocated to trade web, with trade prices. URL/api/stock?stock_type=trade&fields=skusize,barcode,in_stock,demand Returns trade stock with a subset of fields.
Example of a returned stock object with all fields
{
"response": {
"Page": 1,
"PageCount": 24,
"RecordsSent": 100,
"RecordsFound": 2301,
"Stock": [
{
"SKU": "A0000001010",
"SKUSize": "A0000001010A",
"Colour": "OFF WHITE",
"Size": "S",
"Size_Sort": 1,
"Barcode": "5060395910013",
"Style": "A0000001",
"Article": "FLORAL 1",
"Size_Range": "S - 3XL",
"In_Stock": 58,
"Demand": 0,
"Supply": 2,
"Available": 60,
"Web_Description": "",
"Product_Group": "Long Sleeve Shirts",
"Brand_Name": "iLEVELman",
"Season": "AW16",
"Brand_Style": "",
"Cost_Centre": "",
"Foreign_Stock_Code": "",
"Origin": "China",
"Fabric_Content": "100% Cotton",
"Stock_Change_TS": "20170320153348",
"Discontinued": false,
"Retail_Price_Own_Currency": 32,
"Retail_Price_Currency1": 0,
"Retail_Price_Currency2": 0,
"Sell_Price1": 12,
"Sell_Price2": 0,
"Sell_Price3": 0,
"Sell_Price4": 11.5,
"Sell_Price5": 12,
"Sell_Price6": 12,
"Sell_Price7": 0,
"Sell_Price8": 0,
"Sell_Price9": 0
}
]
}
}
Stock Properties
| Property | Example | Description |
|---|---|---|
| SKU | "A0000001010" | Style/Colour code for the stock item |
| SKUSize | "A0000001010A" | Unique SKU/Size for the stock item |
| Colour | "OFF WHITE" | The Colour name |
| Size | "S" | The size code |
| Size_Sort | 1 | The sort order for the size within the SKU |
| Barcode | "5060395910013" | Barcode for the item (usually EAN) |
| Style | "A0000001" | Style code (between 3 and 8 characters) |
| Article | "FLORAL 1" | The article name |
| Size_Range | "S - 3XL" | Size range name |
| In_Stock | 58 | Current in stock value |
| Demand | 0 | Total forward demand from customer orders |
| Supply | 2 | Current on supply order quantity |
| Available | 60 | In stock less demand plus supply |
| Web_Description | "" | Extended text description used for web sites |
| Product_Group | "Long Sleeve Shirts" | Product group name |
| Brand_Name | "iLEVELman" | Brand name |
| Season | "AW16" | Season code |
| Brand_Style | "" | Brand style |
| Cost_Centre | "" | Cost centre |
| Foreign_Stock_Code | "" | Alternative stock code. Can be used to link to another system |
| Origin | "CN" | Where the product was created |
| Fabric_Content | "90% Cotton, 10% Polyester" | Fabric content of the product |
| Stock_Change_TS | "20170320153348" | Last change to the stock record |
| Discontinued | false Boolean field indicating the product has been discontinued | |
| Retail_Price_Own_Currency | 32 | Retail RRP of the product in own currency |
| Retail_Price_Currency1 | 0 | Retail RRP of the product in another currency (usually EUR) |
| Retail_Price_Currency2 | 0 | Second alternative RRP in alternative currency |
| Sell_Price1 | 12 | Trade selling price (own currency) |
| Sell_Price2 | 0 | Trade selling price currency 2 |
| Sell_Price3 | 0 | Trade selling price currency 3 |
| Sell_Price4 | 11.5 | Trade selling price currency 4 |
| Sell_Price5 | 12 | Trade selling price currency 5 |
| Sell_Price6 | 12 | Trade selling price currency 6 |
| Sell_Price7 | 0 | rade selling price currency 7 |
| Sell_Price8 | 0 | Trade selling price currency 8 |
| Sell_Price9 | 0 | Trade selling price currency 9 |
Example of a returned stock object with trade specific fields
{
"response": {
"Page": 1,
"PageCount": 24,
"RecordsSent": 100,
"RecordsFound": 2301,
"Stock": [
{
"SKU": "A0000001010",
"SKUSize": "A0000001010A",
"Colour": "OFF WHITE",
"Size": "S",
"Size_Sort": 1,
"Barcode": "5060395910013",
"Style": "A0000001",
"Article": "FLORAL 1",
"Size_Range": "S - 3XL",
"In_Stock": 58,
"Demand": 0,
"Supply": 2,
"Available": 60,
"Web_Description": "",
"Product_Group": "Long Sleeve Shirts",
"Brand_Name": "iLEVELman",
"Season": "AW16",
"Brand_Style": "",
"Cost_Centre": "",
"Foreign_Stock_Code": "",
"Origin": "China",
"Fabric_Content": "100% Cotton",
"Stock_Change_TS": "20170320153348",
"Discontinued": false,
"Sell_Price1": 12,
"Sell_Price2": 0,
"Sell_Price3": 0,
"Sell_Price4": 11.5,
"Sell_Price5": 12,
"Sell_Price6": 12,
"Sell_Price7": 0,
"Sell_Price8": 0,
"Sell_Price9": 0
}
]
}
}
Example of a returned stock object with retail specific fields
{
"response": {
"Page": 1,
"PageCount": 24,
"RecordsSent": 100,
"RecordsFound": 2301,
"Stock": [
{
"SKU": "A0000001010",
"SKUSize": "A0000001010A",
"Colour": "OFF WHITE",
"Size": "S",
"Size_Sort": 1,
"Barcode": "5060395910013",
"Style": "A0000001",
"Article": "FLORAL 1",
"Size_Range": "S - 3XL",
"In_Stock": 58,
"Demand": 0,
"Supply": 2,
"Available": 60,
"Web_Description": "",
"Product_Group": "Long Sleeve Shirts",
"Brand_Name": "iLEVELman",
"Season": "AW16",
"Brand_Style": "",
"Cost_Centre": "",
"Foreign_Stock_Code": "",
"Origin": "China",
"Fabric_Content": "100% Cotton",
"Stock_Change_TS": "20170320153348",
"Discontinued": false,
"Retail_Price_Own_Currency": 32,
"Retail_Price_Currency1": 0,
"Retail_Price_Currency2": 0
}
]
}
}
Stock Methods
GET /api/stock
Returns all stock in the system with all published fields.
GET /api/stock?stock_type=trade
Returns all stock allocated for use with trade web with trade specific fields.
GET /api/stock?stock_type=retail
Returns all stock allocated to retail web with retail specific fields.